Bug 1271 - [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt
: [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-19 20:27 MSK by Andrew Lukoshko
Modified: 2013-10-23 13:32 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-12-19 20:27:36 MSK
Updated libvirt from RHEL6 upstream.

Advisory:

* The AMD FX series processors contain "modules" which are reported by the
kernel as both threads and cores. Previously, the processor topology detection
code in libvirt was unable to detect these modules. Consequently, libvirt
reported twice the actual number of processors. With this update, topologies
that add up to the total number of processors reported by the system are
properly reported even though the actual topology has to be checked in the
output of the virCapabilities() function.

* Whenever the virDomainGetXMLDesc() function was executed on a domain that was
unresponsive, the call also became unresponsive. With this update, QEMU sends
the BALLOON_CHANGE event when memory usage on a domain changes so that
virDomainGetXMLDesc() no longer has to query an unresponsive domain. As a
result, virDomainGetXMLDesc() calls no longer hang in the described scenario.

http://rhn.redhat.com/errata/RHBA-2012-1595.html

Build lists:
https://abf.rosalinux.ru/build_lists/857565
https://abf.rosalinux.ru/build_lists/857564
Comment 1 Vladimir Potapov 2012-12-21 18:49:19 MSK
libvirt-0.9.10-21.res6.7
********************* RHEL Adivsory ***********************
 The AMD FX series processors contain "modules" which are reported by the
kernel as both threads and cores. Previously, the processor topology detection
code in libvirt was unable to detect these modules. Consequently, libvirt
reported twice the actual number of processors. With this update, topologies
that add up to the total number of processors reported by the system are
properly reported even though the actual topology has to be checked in the
output of the virCapabilities() function.

* Whenever the virDomainGetXMLDesc() function was executed on a domain that was
unresponsive, the call also became unresponsive. With this update, QEMU sends
the BALLOON_CHANGE event when memory usage on a domain changes so that
virDomainGetXMLDesc() no longer has to query an unresponsive domain. As a
result, virDomainGetXMLDesc() calls no longer hang in the described scenario.
************************************************************
QA Verified